Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
E17 has landed! Was: E17 is coming? (Part 7)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... , 12, 13, 14  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Sat Aug 31, 2013 5:12 pm    Post subject: Reply with quote

Are you using the git version of e18? Or the released version, e17? I saw this problem with slim+e18. kdm worked, startx worked, but not slim. My other working installations are e17-0.17.1 + slim (because of some showstopper bugs and crashes in the later versions of e17).
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 785
Location: Greece

PostPosted: Sat Aug 31, 2013 6:40 pm    Post subject: Reply with quote

ZeroDivide wrote:
You might want to try downgrading the nvidia-drivers to 319.49. I have an 8800 gts and the 325 series drivers give me trouble when compositing is enabled in E17.

Did that, no change.

ppurka wrote:
Are you using the git version of e18? Or the released version, e17? I saw this problem with slim+e18. kdm worked, startx worked, but not slim. My other working installations are e17-0.17.1 + slim (because of some showstopper bugs and crashes in the later versions of e17).

I'm using portage version. What is this git version you refer to? And what is "slim"? =S
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Sun Sep 01, 2013 3:27 am    Post subject: Reply with quote

Holysword wrote:
I'm using portage version. What is this git version you refer to? And what is "slim"? =S
Slim is a login manager. From you post, it looks like it is some problem with e17. In fact, it looks like this bug:
http://marc.info/?l=enlightenment-users&m=137746472231293&w=3

The git e18 is the next version of enlightenment. I have it running in a gentoo installation. It is mostly fine, but also pretty rough sometimes. Some modules from e17, most notably engage and comp, no longer work with it.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 785
Location: Greece

PostPosted: Sun Sep 01, 2013 5:02 pm    Post subject: Reply with quote

ppurka wrote:
Holysword wrote:
I'm using portage version. What is this git version you refer to? And what is "slim"? =S
Slim is a login manager. From you post, it looks like it is some problem with e17. In fact, it looks like this bug:
http://marc.info/?l=enlightenment-users&m=137746472231293&w=3

The git e18 is the next version of enlightenment. I have it running in a gentoo installation. It is mostly fine, but also pretty rough sometimes. Some modules from e17, most notably engage and comp, no longer work with it.

Right on the spot, ppurka! Downgrading to 0.17.3 solves the problem. Thank you very much.
I am not sure if I should be feeling adventurous enough to try e18 right now, but certainly in the future I will. e19 with full-wayland sounds also very interesting!
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
invisiblek
n00b
n00b


Joined: 09 Sep 2013
Posts: 1

PostPosted: Mon Sep 09, 2013 2:51 am    Post subject: Reply with quote

for those with the dreaded black screen on the latest version of e (0.17.4), a tempfix is to remove this file:
Code:
rm ~/.e/e/config/standard/e_randr.cfg


your session should start up fine now

i'll look into why this is happening

EDIT:
http://git.enlightenment.org/core/enlightenment.git/commit/?h=enlightenment-0.17&id=b17a9b9cc9438b6dfac4402ac4107f08e23a4373

that should fix it

EDIT2:
yep, that definitely fixes it, i've posted on the bug tracker: https://bugs.gentoo.org/show_bug.cgi?id=483194
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Mon Sep 09, 2013 11:34 am    Post subject: Reply with quote

Thanks. I will try the fix out sometime. I have been stuck at 0.17.1 because of show-stopping bugs in each of the latter releases.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1338
Location: Bardowick, Germany

PostPosted: Fri Sep 13, 2013 7:33 am    Post subject: Reply with quote

Does anybody know how to get and install the missing file modules?
x11-wm/enlightenment only shows fileman-opinfo, but there are:

  • EFM Navigation: A module that allows a user to navigate the filemanager module.
  • EFM Path: A module that allows a user to type a location into the file manager.
  • EFM Pathbar: A module that provides a pathbar gadget to navigate the filemanager module.

Pathbar is really missing. Just set a desktop background to something in /usr/share/pixmaps/gentoo/1600x1200 and you know why.

btw. If I take a look at http://pclosmag.com/html/Issues/201101/page02.html and compare the list of modules with the list supported by the ebuild, there is much more missing, isn't it?
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Sat Sep 14, 2013 9:13 am    Post subject: Reply with quote

Yamakuzure wrote:
Does anybody know how to get and install the missing file modules?
x11-wm/enlightenment only shows fileman-opinfo, but there are:

  • EFM Navigation: A module that allows a user to navigate the filemanager module.
  • EFM Path: A module that allows a user to type a location into the file manager.
  • EFM Pathbar: A module that provides a pathbar gadget to navigate the filemanager module.

Pathbar is really missing. Just set a desktop background to something in /usr/share/pixmaps/gentoo/1600x1200 and you know why.
I don't use efm. But from what I can recall, you need to add the modules explicitly to the file manager. Also, all these are probably already integrated in the efm now and you just need to enable them.

Quote:
btw. If I take a look at http://pclosmag.com/html/Issues/201101/page02.html and compare the list of modules with the list supported by the ebuild, there is much more missing, isn't it?
Many of them are extra modules. Some of them don't even work properly and can easily crash your e17. Some still work and are good. You can get them from the enlightenment overlay, but you will need to fix the ebuilds since they all point to the old e17 svn, whereas all of e17,e18,e19, etc has moved to git now.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Billias
n00b
n00b


Joined: 22 Oct 2013
Posts: 6

PostPosted: Tue Oct 22, 2013 12:23 pm    Post subject: Reply with quote

I do have a problem with my OpenGL

I do get an message: Compositor Warning
Your display driver does not support OpenGL, or no OpenGL engines were compiled or installed for Evas or Ecore-Evas. Falling back to software engine.

Some more info:

Code:
[U] media-libs/evas
     Available versions:  ~1.7.8 (~)1.7.9_pre2 **9999 {X altivec bidi +bmp directfb doc +eet fbcon +fontconfig gif gles +ico +jpeg mmx nls opengl +png +ppm +psd sse sse3 static-libs tga tiff wayland xcb xpm}
     Installed versions:  1.7.8(14:18:26 10/22/13)(X bmp directfb eet fbcon fontconfig gif gles ico jpeg mmx nls opengl png ppm psd sse tiff wayland xcb -altivec -bidi -doc -sse3 -static-libs -tga -xpm)

Code:
[U] dev-libs/ecore
     Available versions:  ~1.7.7^t ~1.7.8^t (~)1.7.9_pre2^t {+X ares curl directfb doc +evas examples fbcon gles glib gnutls +inotify ipv6 nls opengl sdl ssl static-libs +threads tslib wayland xcb xinerama xprint xscreensaver}
     Installed versions:  1.7.8^t(13:49:44 10/22/13)(X ares curl directfb doc evas fbcon gles glib gnutls inotify ipv6 nls opengl sdl ssl threads tslib wayland xcb xinerama xprint xscreensaver -examples -static-libs)


Code:
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: NVS 4200M/PCIe/SSE2
OpenGL core profile version string: 4.3.0 NVIDIA 331.13
OpenGL core profile shading language version string: 4.30 NVIDIA via Cg compiler
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 4.4.0 NVIDIA 331.13
OpenGL shading language version string: 4.40 NVIDIA via Cg compiler
OpenGL context flags: (none)
OpenGL profile mask: (none)
OpenGL extensions:


Code:
direct rendering: Yes
    GL_AMD_multi_draw_indirect, GL_ARB_ES2_compatibility,
    GL_ARB_draw_elements_base_vertex, GL_ARB_draw_indirect,
    GL_ARB_imaging, GL_ARB_indirect_parameters, GL_ARB_instanced_arrays,
    GL_ARB_map_buffer_range, GL_ARB_multi_bind, GL_ARB_multi_draw_indirect,
    GL_EXT_depth_bounds_test, GL_EXT_direct_state_access,
    GL_NV_ES1_1_compatibility, GL_NV_bindless_multi_draw_indirect,
    GL_AMD_multi_draw_indirect, GL_ARB_ES2_compatibility,
    GL_ARB_draw_elements_base_vertex, GL_ARB_draw_indirect,
    GL_ARB_imaging, GL_ARB_indirect_parameters, GL_ARB_instanced_arrays,
    GL_ARB_map_buffer_range, GL_ARB_multi_bind, GL_ARB_multi_draw_indirect,
    GL_EXT_depth_bounds_test, GL_EXT_direct_state_access,
    GL_NV_ES1_1_compatibility, GL_NV_bindless_multi_draw_indirect,


Code:
[U] x11-wm/enlightenment
     Available versions:
     (0)    **0.16.9999 1.0.2 (~)1.0.6 (~)1.0.7 1.0.8 (~)1.0.9 (~)1.0.10 1.0.11 (~)1.0.13
     (0.17) (~)0.17.3(0.17/0.17.3) (~)0.17.4(0.17/0.17.4) (~)0.17.5_pre2(0.17/0.17.5)
       {dbus doc emotion nls pam pango pulseaudio spell static-libs +udev ukit xcomposite xinerama xrandr ENLIGHTENMENT_MODULES="access +backlight +battery +clock +comp +conf-applications +conf-dialogs +conf-display +conf-edgebindings +conf-interaction +conf-intl +conf-keybindings +conf-menus +conf-paths +conf-performance +conf-randr +conf-shelves +conf-theme +conf-window-manipulation +conf-window-remembers +connman +cpufreq +dropshadow +everything +fileman +fileman-opinfo
+gadman +ibar +ibox +illume2 +mixer +msgbus +notification +pager +quickaccess shot +start +syscon +systray +tasks +temperature +tiling +winlist +wizard +xkbswitch"}
     Installed versions:  0.17.3(0.17)(13:39:12 10/22/13)(doc emotion nls pam spell udev ukit -static-libs ENLIGHTENMENT_MODULES="access backlight battery clock comp conf-applications conf-dialogs conf-display conf-edgebindings conf-interaction conf-intl conf-keybindings conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers connman cpufreq dropshadow everything fileman fileman-opinfo gadman ibar ibox illume2 mixer msgbus notification pager quickaccess shot start syscon systray tasks temperature tiling winlist wizard xkbswitch")



Any help appreciated
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Wed Oct 23, 2013 5:05 am    Post subject: Reply with quote

Can you try with a smaller set of flags with wayland and gles disabled? The former is a replacement for X and the latter is mostly intended for mobiles/tablets.

FYI, here are my working set of flags
Code:
~» emerge -pvq ecore evas enlightenment
 * Last emerge --sync was 42d 2h 1m 3s ago.
[ebuild   R   ] media-libs/evas-1.7.8  USE="X bmp eet fontconfig gif ico jpeg mmx nls opengl png ppm psd sse tiff xpm (-altivec) -bidi -directfb -doc -fbcon -gles -sse3 -static-libs -tga -wayland -xcb"
[ebuild   R   ] dev-libs/ecore-1.7.8  USE="X curl evas inotify nls opengl ssl threads xinerama -ares -directfb -doc -examples -fbcon -gles -glib -gnutls -ipv6 -sdl -static-libs -tslib -wayland -xcb -xprint -xscreensaver"
[ebuild   R   ] x11-wm/enlightenment-0.17.1 [0.17.1] USE="nls pam spell -doc -emotion -static-libs -udev -ukit" ENLIGHTENMENT_MODULES="backlight battery clock comp conf-applications conf-dialogs conf-display conf-edgebindings conf-interaction conf-intl conf-keybindings conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers cpufreq dropshadow everything fileman fileman-opinfo gadman ibar ibox illume2 mixer msgbus notification pager quickaccess shot start syscon systray tasks temperature tiling winlist wizard xkbswitch -access -connman"

_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Billias
n00b
n00b


Joined: 22 Oct 2013
Posts: 6

PostPosted: Wed Oct 23, 2013 8:14 am    Post subject: Reply with quote

Thank you.

Recompiling without these flags did the trick!

ppurka wrote:
Can you try with a smaller set of flags with wayland and gles disabled? The former is a replacement for X and the latter is mostly intended for mobiles/tablets.

FYI, here are my working set of flags
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1338
Location: Bardowick, Germany

PostPosted: Mon Nov 04, 2013 9:52 am    Post subject: Reply with quote

ppurka wrote:
Yamakuzure wrote:
Does anybody know how to get and install the missing file modules?
x11-wm/enlightenment only shows fileman-opinfo, but there are:

  • EFM Navigation: A module that allows a user to navigate the filemanager module.
  • EFM Path: A module that allows a user to type a location into the file manager.
  • EFM Pathbar: A module that provides a pathbar gadget to navigate the filemanager module.

Pathbar is really missing. Just set a desktop background to something in /usr/share/pixmaps/gentoo/1600x1200 and you know why.
I don't use efm. But from what I can recall, you need to add the modules explicitly to the file manager. Also, all these are probably already integrated in the efm now and you just need to enable them.
No, Path/Pathbar are not available in efm. I do not use it either. But whenever you select any file in the e17 settings, it is done using a file selector that seems to be based on efm. Clicking through the file system tree is a real pain.
ppurka wrote:
Quote:
btw. If I take a look at http://pclosmag.com/html/Issues/201101/page02.html and compare the list of modules with the list supported by the ebuild, there is much more missing, isn't it?
Many of them are extra modules. Some of them don't even work properly and can easily crash your e17. Some still work and are good. You can get them from the enlightenment overlay, but you will need to fix the ebuilds since they all point to the old e17 svn, whereas all of e17,e18,e19, etc has moved to git now.
Thanks for the information!

However, now I have another very annoying problem. I have updated the nvidia drivers in the hope that the opengl problem would go away. ( * ), but it doesn't. However, after changing back to "Drop Shadow" my invisible shelves are now black. Not cool! Does anybody have an idea what could have caused this? I reverted the composite settings before changing back, but those shouldn't disrupt drop shadow anyway, should it?

( * ): When using OpenGL, there are only two possibilities: A) Turn off window synchronization and all e17 windows are empy until moved/resized, or turn it on and all non-e17 windows are black.
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1338
Location: Bardowick, Germany

PostPosted: Wed Nov 06, 2013 9:55 am    Post subject: Reply with quote

I have a feeling that the initial excitement about e17 has worn off a bit, hasn't it?
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Thu Nov 07, 2013 10:46 am    Post subject: Reply with quote

Yamakuzure wrote:
I have a feeling that the initial excitement about e17 has worn off a bit, hasn't it?
e17 is no longer bleeding and no longer the bleeding edge ;-) The days of the desktop is over - it is all about mobile. Unfortunately, I don't see where E is going in that respect.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1338
Location: Bardowick, Germany

PostPosted: Fri Nov 08, 2013 1:19 pm    Post subject: Reply with quote

ppurka wrote:
Yamakuzure wrote:
I have a feeling that the initial excitement about e17 has worn off a bit, hasn't it?
e17 is no longer bleeding and no longer the bleeding edge ;-) The days of the desktop is over - it is all about mobile. Unfortunately, I don't see where E is going in that respect.
That's a pity. I really liked E17 on my workplace desktop, but the showstoppers grow and thrive. 0.17.4 is almost unusable now. :(

*sight* Back to Mini-KDE then.

At least the "qt" overlay has published live ebuilds for lxqt, so maybe, somewhere in the not-so-far future, lxqt has it's first release...

btw.: I can't find anythign about E18 or E19.
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Sat Nov 09, 2013 12:06 pm    Post subject: Reply with quote

Yamakuzure wrote:
btw.: I can't find anythign about E18 or E19.
There are at least two blogs:
http://e18releasemanager.wordpress.com/
http://e19releasemanager.wordpress.com/

I have ebuilds to e18 (only e18, no extra stuff), but they don't use USE flags and the compilation is very straightforward.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1338
Location: Bardowick, Germany

PostPosted: Mon Nov 11, 2013 10:22 am    Post subject: Reply with quote

ppurka wrote:
Yamakuzure wrote:
btw.: I can't find anythign about E18 or E19.
There are at least two blogs:
http://e18releasemanager.wordpress.com/
http://e19releasemanager.wordpress.com/

I have ebuilds to e18 (only e18, no extra stuff), but they don't use USE flags and the compilation is very straightforward.
Those are interesting reads. So they focus on wayland support, now? True support without just being a weston shell. Wow.
But this time, before becoming too excited, I'll patiently wait for proper releases. ;)
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 785
Location: Greece

PostPosted: Wed Nov 13, 2013 7:05 pm    Post subject: Reply with quote

ppurka wrote:
e17 is no longer bleeding and no longer the bleeding edge ;-) The days of the desktop is over - it is all about mobile. Unfortunately, I don't see where E is going in that respect.

That's both bad and good new to me. Good because I'm planning to hack 2 of my tablets and get Gentoo with E1X on them. Which one would you suggest ppurka, e18 or jump already towards e19?
And well, bad because I have no intention to change to other WM on my laptop. Do you think that there is any hope to keep hanging on for desktop? Is e18 already solid for desktops?
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1338
Location: Bardowick, Germany

PostPosted: Fri Nov 15, 2013 3:53 pm    Post subject: Reply with quote

Holysword wrote:
ppurka wrote:
e17 is no longer bleeding and no longer the bleeding edge ;-) The days of the desktop is over - it is all about mobile. Unfortunately, I don't see where E is going in that respect.

That's both bad and good new to me. Good because I'm planning to hack 2 of my tablets and get Gentoo with E1X on them. Which one would you suggest ppurka, e18 or jump already towards e19?
And well, bad because I have no intention to change to other WM on my laptop. Do you think that there is any hope to keep hanging on for desktop? Is e18 already solid for desktops?
Don't want to sound zynical, but maybe the E18 motto "Breakage starts here" tells us something. As for E19, it is in a very early stage, isn't it?
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Sat Nov 16, 2013 12:51 am    Post subject: Reply with quote

As a basic desktop, e18 works fine. I have been using an e18 session (dual display configuration) for nearly two weeks without logging out. There are some bugs of course - some of them are subtle and difficult to reproduce, and some are easy to reproduce. e18 alpha was released recently, so you can look into that if you want to check it out.

e18 itself involved a major combining of all the e libraries into just one - it is now called efl. ANd e18 depends on elementary. So, all you need to install now is efl, elementary and then enlightenment.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 785
Location: Greece

PostPosted: Sat Nov 16, 2013 1:14 am    Post subject: Reply with quote

ppurka wrote:
e18 itself involved a major combining of all the e libraries into just one - it is now called efl.

Oh, so that's what EFL is... I wonder, is this merge a good idea?
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1131

PostPosted: Sat Nov 16, 2013 11:36 am    Post subject: Reply with quote

How to get it?
Normally there is a null tendendy in versioning. Masking
>x11-wm/enlightenment-1
I got enlightenment-0.17

Now masking
>x11-wm/enlightenment-0.1
I will get enlightenment-0.0.18
?

Masking
>x11-wm/enlightenment-0.0.1
I would get enlightenment-0.0.0.19
?
_________________
fun2gen2
Back to top
View user's profile Send private message
Chiitoo
l33t
l33t


Joined: 28 Feb 2010
Posts: 830
Location: Here and Away Again

PostPosted: Tue Jan 28, 2014 8:48 pm    Post subject: ><)))°€ Reply with quote

So... efl is coming with 0.17.6, too.

Am I looking this right when I'm seeing that it is no longer possible, without extensive'ish hackery, to not install things such as ethumb, emotion, and the likes?

I'm unsure if I would have even noticed this if I wasn't seeing build failures of dev-libs/efl (1.8.4). Nevertheless, I don't think I like the idea. I'm sure there are reasons for it, but to me, it seems a bit bloaty.

Almost nepomuk'ish. ^^;


I haven't really been following the development and such, so my thoughts may be very inaccurate on that, but it is what it is.
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
Skippy204
Apprentice
Apprentice


Joined: 09 May 2008
Posts: 187
Location: Fort Collins, Colorado, USA

PostPosted: Mon Feb 03, 2014 3:49 pm    Post subject: e16 and e17 on the same box Reply with quote

Howdy. Would I be correct that it is no longer possible to have e16 and e17 on the same box? The latest version of e17 (enlightenment-0.17.6) would seem to indicate so. Or is there a way around this? Thanks.

Code:

[blocks B      ] dev-libs/ecore ("dev-libs/ecore" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] dev-libs/embryo ("dev-libs/embryo" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] dev-libs/efreet ("dev-libs/efreet" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] dev-libs/eet ("dev-libs/eet" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] dev-libs/eio ("dev-libs/eio" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] media-libs/evas ("media-libs/evas" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] dev-libs/eeze ("dev-libs/eeze" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] media-libs/edje ("media-libs/edje" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] dev-libs/eina ("dev-libs/eina" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] media-libs/ethumb ("media-libs/ethumb" is hard blocking dev-libs/efl-1.8.5)
[blocks B      ] media-libs/emotion ("media-libs/emotion" is hard blocking dev-libs/efl-1.8.5)
Back to top
View user's profile Send private message
Chiitoo
l33t
l33t


Joined: 28 Feb 2010
Posts: 830
Location: Here and Away Again

PostPosted: Mon Feb 03, 2014 10:50 pm    Post subject: Reply with quote

Skippy204,


I'm not too familiar with e16, but it doesn't look like it uses those packages.

It's necessary to remove all of e17 to allow efl to build. Removing only the libraries is not enough, as they're kept in by 'preserved libs' until there is no longer anything holding onto them.
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3 ... , 12, 13, 14  Next
Page 13 of 14

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum